From 55f08d78c2a12a9a18e1e245fd0f0df8f76442b5 Mon Sep 17 00:00:00 2001
From: Simon Schampijer <simon@schampijer.de>
Date: Wed, 7 Jul 2010 12:23:23 +0200
Subject: [PATCH] Disconnect icon in wifi palette #1736
Organization: Sugar Labs Foundation
X-Subversion: sucks

---
 extensions/deviceicon/network.py |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

diff --git a/extensions/deviceicon/network.py b/extensions/deviceicon/network.py
index 94a4293..ce21605 100644
--- a/extensions/deviceicon/network.py
+++ b/extensions/deviceicon/network.py
@@ -36,6 +36,8 @@ from sugar.graphics import style
 from sugar.graphics.palette import Palette
 from sugar.graphics.toolbutton import ToolButton
 from sugar.graphics.tray import TrayIcon
+from sugar.graphics.menuitem import MenuItem
+from sugar.graphics.icon import Icon
 from sugar.graphics import xocolor
 from sugar.util import unique_id
 from sugar import profile
@@ -109,7 +111,9 @@ class WirelessPalette(Palette):
         self._info.pack_start(_padded(self._ip_address_label))
         self._info.show_all()
 
-        self._disconnect_item = gtk.MenuItem(_('Disconnect...'))
+        self._disconnect_item = MenuItem(_('Disconnect...'))
+        icon = Icon(icon_size=gtk.ICON_SIZE_MENU, icon_name='media-eject')
+        self._disconnect_item.set_image(icon)
         self._disconnect_item.connect('activate', self.__disconnect_activate_cb)
         self.menu.append(self._disconnect_item)
 
-- 
1.7.1.1

